aboutsummaryrefslogtreecommitdiffstats
path: root/.gitlab-ci/meson-build.sh
diff options
context:
space:
mode:
authorEric Anholt <[email protected]>2019-06-28 16:35:32 -0700
committerEric Anholt <[email protected]>2019-08-13 10:30:01 -0700
commit46daaca55e0dd230fc27922f473982130207a549 (patch)
treea44118ab130d97b1defb13c6eabd483c3fb00bee /.gitlab-ci/meson-build.sh
parentab49873b4422eb087b6257265e30799ce8d4728d (diff)
gitlab-ci: Run the GLES2 CTS on llvmpipe.
This is the start of doing CTS tests on merges to Mesa master. We use the surfaceless platform so that we don't need to bother bringing up weston or X11. The surface size is kept low to reduce runtime, but this comes at the cost of many rendering tests skipping due to too-small render targets (as we see the impact of Mesa on the shared runner pool, we can reevaluate this and what set of CTS tests we want to run). We split the job up across 4 runners (each at 4 llvmpipe threads), so that the job can load-balance across our shared runners and finish sooner (since dEQP is very single-thread-performance bound). Reviewed-by: Eric Engestrom <[email protected]>
Diffstat (limited to '.gitlab-ci/meson-build.sh')
-rwxr-xr-x.gitlab-ci/meson-build.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/.gitlab-ci/meson-build.sh b/.gitlab-ci/meson-build.sh
index c2efd2aeedf..7e74095c4bb 100755
--- a/.gitlab-ci/meson-build.sh
+++ b/.gitlab-ci/meson-build.sh
@@ -39,3 +39,24 @@ cd ..
if test -n "$MESON_SHADERDB"; then
./.gitlab-ci/run-shader-db.sh;
fi
+
+# Delete 2MB of includes from artifacts.
+rm -rf install/include
+
+# Strip the drivers in the artifacts to cut 80% of the artifacts size.
+if [ -n "$CROSS" ]; then
+ STRIP=`sed -n -E "s/strip\s*=\s*'(.*)'/\1/p" /cross_file-$CROSS.txt`
+ if [ -z "$STRIP" ]; then
+ echo "Failed to find strip command in cross file"
+ exit 1
+ fi
+else
+ STRIP="strip"
+fi
+find install -name \*.so -exec $STRIP {} \;
+
+# Test runs don't pull down the git tree, so put the dEQP helper
+# script and associated bits there.
+mkdir -p artifacts/
+cp -Rp .gitlab-ci/deqp* artifacts/
+# cp -Rp src/freedreno/ci/expected* artifacts/